
Figure - Bug #117869
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试12小时，出现CRASH: com.baidu.input（1）
2023-05-11 10:57 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-11

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103(X103)

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

【错误信息】

CRASH: com.baidu.input (pid 3223)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to read from field 'int com.baidu.cxe.cXX' on a null object reference

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3252:user/test-keys

// Build Changelist: 3252

// Build Time: 1683595013000

// java.lang.NullPointerException: Attempt to read from field 'int com.baidu.cxe.cXX' on a null object reference

//     at com.baidu.cqx.aTB(Proguard:19)

//     at com.baidu.cqw.init(Proguard:713)

//     at com.baidu.crk.aVw(Proguard:1798)

//     at com.baidu.crk.aVs(Proguard:1608)

//     at com.baidu.crk.o(Proguard:1715)

//     at com.baidu.crk.n(Proguard:1399)

//     at com.baidu.cpo.G(Proguard:168)

//     at com.baidu.cpn.F(Proguard:167)

//     at com.baidu.cpo.w(Proguard:248)

//     at com.baidu.cpn.v(Proguard:359)

//     at com.baidu.input.ImeService.loadKeymap(Proguard:4573)

//     at com.baidu.input.ImeService.resetSysState(Proguard:4641)

//     at com.baidu.input.ImeService.switchKeyboardInternal(Proguard:3967)

//     at com.baidu.csk.oy(Proguard:558)

//     at com.baidu.csk.g(Proguard:448)

//     at com.baidu.csk.a(Proguard:298)

//     at com.baidu.fhq.b(Proguard:313)

//     at com.baidu.fhq.a(Proguard:26)

//     at com.baidu.fhq$a.run(Proguard:754)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)
//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

History

#1 - 2023-05-11 10:59 - CD TEST-方永红

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117869

#2 - 2023-05-11 11:05 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

Hi 永红

这个问题是百度输入法内部代码报错，空指针异常

需要客户那边的输入法组做对应，请周知客户，谢谢

#3 - 2023-05-16 15:16 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to 物联网项目组-RD3_CDTS 周飞

#4 - 2023-08-01 15:09 - CDTS_TEST 王成

- Assignee changed from 物联网项目组-RD3_CDTS 周飞 to CD TEST-方永红

查看新版本中是否有此问题，多个版本无复现后可以关闭此BUG

#5 - 2023-08-24 16:52 - CDTS_TEST 王成

- Assignee changed from CD TEST-方永红 to 物联网测试组_TSCD 王维

#6 - 2023-08-25 13:47 - 物联网测试组_TSCD 王维

0136版本使用3台设备连续跑测5天未复现

#7 - 2023-08-31 15:51 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

未复现，BUG先行关闭

#8 - 2023-08-31 15:51 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#9 - 2023-08-31 15:52 - CDTS_TEST 王成
- Status changed from VERIFIED to CLOSED

Files

error.txt 5.94 KB 2023-05-11 CD TEST-方永红
